package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class BonusCycleCollection extends AbstractObjectCollection 
{
    public BonusCycleCollection()
    {
        super(BonusCycleInfo.class);
    }
    public boolean add(BonusCycleInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(BonusCycleCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(BonusCycleInfo item)
    {
        return removeObject(item);
    }
    public BonusCycleInfo get(int index)
    {
        return(BonusCycleInfo)getObject(index);
    }
    public BonusCycleInfo get(Object key)
    {
        return(BonusCycleInfo)getObject(key);
    }
    public void set(int index, BonusCycleInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(BonusCycleInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(BonusCycleInfo item)
    {
        return super.indexOf(item);
    }
}